﻿<html>
    <head>

        <title>JQuery getting started</title>

        <!-- Подключение библиотеки JQuery-->
   
        <script src="./jquery.js" type="text/javascript"></script> 

        <script type="text/javascript">
            //animate(properties, duration, easing,complete)
            //properties - набор атрибутов стиля CSS
            //duration default: 400- время выполнения анимации
            //easing (not obvious) default: swing - Имя функции для ослабления перехода. Существуют два встроенных значения: «linear» и «swing».
            //complete (not obvious) - функция вызывающаяся по окончанию работы анимации
            $(function () {
                $("#div1")
                    .css({
                        height: "30px",
                        width: "30px",
                        backgroundColor: "Green"
                    }).
                    animate({
                        marginLeft: "1000px",
                        height: "500px"
                    },
                    5000).
                    animate({
                        marginLeft: "1px",
                        height: "50px",
                    },
                    5000, function () { alert("Finish") });
            });

        </script>

    </head>

    <body>
        <div id="div1"></div>
    </body>
</html>
